Recommendation Metadata - List

Gets the list of metadata entities.

GET https://management.azure.com/providers/Microsoft.Advisor/metadata?api-version=2026-10-01
GET https://management.azure.com/providers/Microsoft.Advisor/metadata?api-version=2026-10-01&$filter={$filter}

URI Parameters

Name In Required Type Description
api-version
query True

string

minLength: 1

The API version to use for this operation.

$filter
query

string

The filter to apply to the recommendation metadata.
Filter can be applied to properties ['recommendationCategory', 'recommendationSubCategory', 'RetirementDate'] with operators ['eq', 'and', 'le', 'ge']
The filter can also be applied to property ['[TrackingIds]']

⚠ Note: recommendationControl is a legacy filter property and will be deprecated in the future. Please use recommendationSubCategory for filtering recommendation subcategory.

Valid options for recommendationSubCategory: ['BusinessContinuity', 'DisasterRecovery', 'HighAvailability', 'MonitoringAndAlerting', 'Other', 'Personalized', 'PrioritizedRecommendations', 'Scalability', 'ServiceUpgradeAndRetirement', 'Validation']

Example:
- $filter=recommendationCategory eq 'HighAvailability' and recommendationSubCategory eq 'ServiceUpgradeAndRetirement' and retirementDate ge '2024-01-01' and retirementDate le '2028-01-01'. Filter can be applied on trackingIds as well.
- $filter=trackingIds/any(t: t eq 'some-guid')

⚠ Note: trackingIDs filter can be used for filtering one value at a time. The support to filter multiple values is not currently available. Also the support to add other filters along with trackingIDs is not available.

Responses

Name Type Description
200 OK

MetadataEntityListResult

Azure operation completed successfully.

Other Status Codes

ArmErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

GetMetadata

Sample request

GET https://management.azure.com/providers/Microsoft.Advisor/metadata?api-version=2026-10-01

Sample response

{
  "nextLink": "https://management.azure.com/providers/Microsoft.Advisor/metadata?api-version=2026-10-01&$skipToken=abc123",
  "value": [
    {
      "id": "/providers/Microsoft.Advisor/metadata/recommendationType",
      "name": "recommendationType",
      "type": "Microsoft.Advisor/metadata",
      "properties": {
        "displayName": "Recommendation Type",
        "dependsOn": [
          "category",
          "impact"
        ],
        "applicableScenarios": [
          "Alerts"
        ],
        "supportedValues": [
          {
            "id": "6a2b1e70-bd4c-4163-86de-5243d7ac05ee",
            "displayName": "Upgrade your SKU or add more instances to ensure fault tolerance"
          },
          {
            "id": "da6630fb-4286-4996-92a3-a43f5f26dd34",
            "displayName": "Delete ExpressRoute circuits in the provider status of Not Provisioned"
          }
        ]
      }
    },
    {
      "id": "/providers/Microsoft.Advisor/metadata/recommendationCategory",
      "name": "recommendationCategory",
      "type": "Microsoft.Advisor/metadata",
      "properties": {
        "displayName": "Category",
        "dependsOn": null,
        "applicableScenarios": [
          "Alerts"
        ],
        "supportedValues": [
          {
            "id": "Cost",
            "displayName": "Cost"
          },
          {
            "id": "Performance",
            "displayName": "Performance"
          }
        ]
      }
    },
    {
      "id": "/providers/Microsoft.Advisor/metadata/recommendationImpact",
      "name": "recommendationImpact",
      "type": "Microsoft.Advisor/metadata",
      "properties": {
        "displayName": "Impact",
        "dependsOn": null,
        "applicableScenarios": null,
        "supportedValues": [
          {
            "id": "High",
            "displayName": "High"
          },
          {
            "id": "Medium",
            "displayName": "Medium"
          },
          {
            "id": "Low",
            "displayName": "Low"
          }
        ]
      }
    }
  ]
}

Definitions

Name Description
ArmErrorResponse
ARMErrorResponseBody

ARM error response body.

createdByType

The type of identity that created the resource.

MetadataEntity

The metadata entity contract.

MetadataEntityListResult

The response of a MetadataEntity list operation.

MetadataSupportedValueDetail

The metadata supported value detail.

Scenario

The list of scenarios applicable to this metadata entity.

systemData

Metadata pertaining to creation and last modification of the resource.

ArmErrorResponse

Name Type Description
error

ARMErrorResponseBody

ARM error response body.

ARMErrorResponseBody

ARM error response body.

Name Type Description
code

string

Gets or sets the string that can be used to programmatically identify the error.

message

string

Gets or sets the string that describes the error in detail and provides debugging information.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

MetadataEntity

The metadata entity contract.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.applicableScenarios

Scenario[]

The list of scenarios applicable to this metadata entity.

properties.dependsOn

string[]

The list of keys on which this entity depends on.

properties.displayName

string

The display name.

properties.supportedValues

MetadataSupportedValueDetail[]

The list of supported values.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

MetadataEntityListResult

The response of a MetadataEntity list operation.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

MetadataEntity[]

The MetadataEntity items on this page

MetadataSupportedValueDetail

The metadata supported value detail.

Name Type Description
displayName

string

The display name.

id

string

The id.

Scenario

The list of scenarios applicable to this metadata entity.

Value Description
Alerts

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.